package user_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type UserInfoModifyRequest struct {
	NeedModifyUser   *common.UserInfoRequest         `json:"needModifyUser"`
	ModifiedUserInfo *common.ModifiedUserInfoRequest `json:"modifiedUserInfo"`
}

func (obj UserInfoModifyRequest) GetUrl() string {
	return "/user/info/modify"
}

func (obj UserInfoModifyRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
